Package twisted :: Package runner :: Module inetdconf :: Class ServicesConf |
[show private | hide private]
[frames | no frames]

## Class ServicesConf

    SimpleConfFile --+
                     |
                    ServicesConf

/etc/services parser

Method Summary
| `__init__(self)`
| `parseFields(self, name, portAndProtocol, *aliases)`
| ``parseFile`(self, file)` Parse a configuration file (inherited from `SimpleConfFile`)
| ``parseLine`(self, line)` Override this. (inherited from `SimpleConfFile`)

Instance Variable Summary
| `self.services` - dict mapping service names to (port, protocol) tuples.

Class Variable Summary
`str` | `defaultFilename`

Instance Variable Details

### self.services dict mapping service names to (port, protocol) tuples.

Class Variable Details

    ### defaultFilename Type: `str` Value:
        '/etc/services'

Generated by Epydoc 1.1 on Thu May 8 13:16:50 2003 | http://epydoc.sf.net